/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  fits2fffu.c   SS June 98                                 */
/*  UNIX version                                             */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>


int main(argc,argv) 
int argc;
char *argv[];
{

   FILE *outfile,*infile;
   
   int i,j,k,n,xsize,ysize,ii,kk,ll;

   char c;

   float *d;

   unsigned char ss0[81];
   unsigned char ss[81];
   unsigned char ss1[81];
   unsigned char ss2[81];

   unsigned char ss11[5];
   unsigned char ss22[5];

   int xys[3];

   float d1[3];


   if (argc<3) {
      printf("Usage: %s image.fit image.fff\n",argv[0]);
      exit(0);
   } /* if */

   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"wb");

   kk=0;

   do {

      for (i=0; i<=79; i++) {
         c=getc(infile);
	 ss[i]=c;
      } /* for i */
      ss[i]='\0';

      if (strstr(ss,"NAXIS1") != NULL) {
         strcpy(ss1,ss);
      } /* if */

      if (strstr(ss,"NAXIS2") != NULL) {
         strcpy(ss2,ss);
      } /* if */

      for (i=0; i<=2; i++) {
         ss0[i]=ss[i];
      } /* for i */
      ss0[i]='\0';

      kk=kk+80;

   } while (strstr(ss0,"END") == NULL);


   ll=kk/2880;
   
   kk=2880*(ll+1)-kk;
   

   for (i=1; i<=kk; i++) {
      c=getc(infile);
   } /* for i */

   j=0;
   for (i=25; i<=30; i++) {
      ss11[j]=ss1[i];
      j++;
   } /* for i */
   ss11[j]='\0';

   j=0;
   for (i=25; i<=30; i++) {
      ss22[j]=ss2[i];
      j++;
   } /* for i */
   ss22[j]='\0';
   
   xsize=atoi(ss11);
   ysize=atoi(ss22);

   printf("%6d %6d\n",xsize,ysize);

   xys[1]=xsize;
   xys[2]=ysize;

   fwrite(&xys[1],sizeof(int),2,outfile);

   n=xsize*ysize;

   d = (float *)calloc(n+1,sizeof(float));

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {

          fread(&d1[1],sizeof(float),1,infile);

	  k=4*(xsize*(ysize-i-1)+j)+1;

          d[k]=d1[1];

      } /* for j */
   } /* for i */

   fwrite(&d[1],sizeof(float),n,outfile);

   fclose(outfile);
   fclose(infile);

} /* End  */
