/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  imaddf.c  SS Dec 97                                      */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h> 
#include <stdlib.h>
#include <unistd.h>

double pi=3.14159265358979323;

int main(argc,argv) 
int argc;
char *argv[];
{

   FILE *infile,*outfile;

   int i,j,xsize,ysize;

   double term;

   int xys[3];

   float fff[3];

   if (argc<3) {
      printf("Usage: %s inimage.fff outimage.fff termr\n",argv[0]);
      exit(0);
   } /* if */
   
   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile=fopen(argv[2],"wb");

   term=atof(argv[3]);

   fread(&xys[1],sizeof(int),2,infile);

   fwrite(&xys[1],sizeof(int),2,outfile);

   xsize=xys[1];
   ysize=xys[2];

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {

         fread(&fff[1],sizeof(float),1,infile);

	 fff[1]=fff[1]+term;

	 fwrite(&fff[1],sizeof(float),1,outfile);

      } /* for j */
   } /* for i */  

   fclose(outfile);
   fclose(infile);

} /* End */
