/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  imrot.c   SS Nov 95                                      */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "image.h"


int main(argc,argv) 
int argc;
char *argv[];
{
   struct image_head header,header1; 
   short **image,**image1;
   
   int i,j,i2,j2,k,l,bf,w,h,z,hgh,wid,edge;

   if (argc<3) {
      printf("Usage: %s inimage outimage\n",argv[0]);
      exit(0);
   } /* if */

 
   ReadHeader(argv[1],&header1);
   image1 = (short **)calloc(header1.hgh,sizeof(short*));
   ReadImage(argv[1],image1);

   header.id=image_magic;
   header.typ=im_s16;
   header.off=512;
   header.hgh=header1.wid;
   header.wid=header1.hgh;

   image = (short **)calloc(header.hgh,sizeof(short*));

   CreateIm_s16(image,header.hgh,header.wid);

   for (i=0; i<header1.wid; i++) {
       for (j=0; j<header1.hgh; j++) {
           image[header.hgh-i-1][j]=image1[j][i];
       } /* for j */
   } /* for i */

   WriteImage(argv[2],image,header,im_s16);

} /* End  */
